;+
;pro thm_crib_mom
; This is an example crib sheet that will load MOMent data.
; Open this file in a text editor and then use copy and paste to copy
; selected lines into an idl window. Or alternatively compile and run
; using the command:
; .RUN THM_CRIB_MOM
;-

if keyword_set(step) then setbp,/thisfile  ;Set breakpoints if step is set

wset,0
dprint,setdebug =1

timespan,'7-3-23',1,/days
dprint,  '           Defined the time span of interest.'
thm_load_mom,level=1,probe='a b c'
dprint,  '           (Down)loaded MOMent Data, from probes a b and c'

dprint
dprint,'Defined TPLOT Variables;'
tplot_names ,/time                   ;  Display all stored variables
dprint

dprint,'             All files are downloaded automatically if not found.'
dprint           ;bp


wshow,0                                ; Raise window
tplot_options, 'title', 'THEMIS MOM Examples'
tplot,'tha_peim*'                   ; tplot accepts wildcard characters
dprint,'             Plotted all TPLOT variables that match "tha_peim*" '
dprint           ;bp


wshow,0
tr =  ['2007-03-23/10:22:00', '2007-03-23/17:28:00']   ; Define a time range
timebar,tr                               ; Display it
dprint,'             Define and Display a time range'
dprint           ;bp



tlimit,tr                               ; Zoom into the time range
dprint,'             Zoom into the defined time range'
dprint           ;bp



tplot,'th?_peim_dens th?_peim_vel'
dprint,'             Plot Esa Ion Mom DENSity and Esa Ion Mom VELocity of all spacecraft
dprint           ;bp


end
